%define gstreamer_version	0.8.7
%define gstreamer_plugins_version	0.8.5

Summary: Movie player for GNOME 2
Name: totem
Version: 1.0.1
Release: 0.fdr.1.3
License: GPL
Group: Applications/Multimedia
URL: http://www.hadess.net/totem.php3
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/1.0/totem-%{version}.tar.bz2
Patch: totem.gtk-glib-24.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): GConf2
Requires: gnome-desktop >= 2.6.0
Requires: gstreamer >= %gstreamer_version
Requires: gstreamer-plugins >= %gstreamer_plugins_version
BuildRequires: nautilus-cd-burner >= 2.8.1
BuildRequires: gcc-c++, pkgconfig, gettext, scrollkeeper
BuildRequires: gstreamer-devel >= %gstreamer_version
BuildRequires: gstreamer-plugins-devel >= %gstreamer_plugins_version
BuildRequires: gnome-desktop-devel >= 2.6.0, gnome-vfs2-devel, libglade2-devel
BuildRequires: perl-XML-Parser
BuildRequires: nautilus-cd-burner-devel >= 2.8.1

BuildRequires: autoconf automake libtool


%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%package devel
Summary: Libraries/include files for Totem.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs2-devel
Requires: libxml2-devel
Requires: gtk2-devel

%description devel
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

This package contains the libraries and includes files necessary to develop
applications with Totem's plparser library.


%prep
%setup -q
%patch -p1

%build

aclocal || exit 1
automake || exit 1
autoconf || exit 1

%configure --enable-gstreamer --disable-lirc --disable-vanity --disable-mozilla --disable-nvtv

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
%find_lang %{name}

# no vanity
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/vanity.png

# no static libs and libtool archives either
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/totem.schemas \
     >/dev/null || :

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/media-player-48.png
%{_datadir}/%{name}/
%{_libdir}/libtotem-plparser.*
%{_libdir}/nautilus/extensions-1.0/*.so
%{_bindir}/%{name}-video-thumbnailer
%exclude %{_datadir}/%{name}/vanity.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/totem-video-thumbnailer.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}/1/plparser
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*so

%changelog
* Mon Apr 25 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- patch from Ronald Bultje to work with gtk/glib 2.4
- updates from upstream spec file

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.99.19-1
- New upstream 0.99.19
  - Fixes crasher with CD playback (see NEWS)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-2
- Call update-desktop-database in post

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-1
- update to 0.99.18

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 
- Initial version, based on specfile by Matthias Saou <http://freshrpms.net/>

